### Constructor

# Gtk Videonew_for_file

#### Declaration [src]

    GtkWidget*
    gtk_video_new_for_file (
      GFile* file
    )

#### Description [src]

Creates a `GtkVideo` to play back the given `file`.

#### Parameters

`file`

  Type: `GFile`

  A `GFile`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A new `GtkVideo`

The data is owned by the called function.